Package org.kapott.hbci.dialog

## Enum HBCIDialogEnd.Flag

- java.lang.Object
- - java.lang.Enum<HBCIDialogEnd.Flag>
  - - org.kapott.hbci.dialog.HBCIDialogEnd.Flag

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HBCIDialogEnd.Flag>`

Enclosing class:
  HBCIDialogEnd

    public static enum HBCIDialogEnd.Flag
    extends java.lang.Enum<HBCIDialogEnd.Flag>

Parametrisierende Flags fuer das Dialog-Ende.

### Enum Constant Summary

Enum Constants
`ACCEPT_ERROR` Fehler werden nicht geworfen sondern nur geloggt.
`SIG_ID` Dialogende fuer Sync-SigID.

### Method Summary

All Methods Static Methods Concrete Methods
`static HBCIDialogEnd.Flag` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HBCIDialogEnd.Flag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SIG_ID

    public static final HBCIDialogEnd.Flag SIG_ID

Dialogende fuer Sync-SigID.

#### ACCEPT_ERROR

    public static final HBCIDialogEnd.Flag ACCEPT_ERROR

Fehler werden nicht geworfen sondern nur geloggt. Muss nur explizit angegeben werden, wenn es kein anonymer Dialog ist oder das Werfen per "client.errors.ignoreDialogEndErrors" abgeschaltet ist.

### Method Detail

#### values

    public static HBCIDialogEnd.Flag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HBCIDialogEnd.Flag c : HBCIDialogEnd.Flag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HBCIDialogEnd.Flag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null